INCLUDE(FindPkgConfig)
PKG_CHECK_MODULES(PC_GOESSDR goessdr)

FIND_PATH(
    GOESSDR_INCLUDE_DIRS
    NAMES goessdr/api.h
    HINTS $ENV{GOESSDR_DIR}/include
        ${PC_GOESSDR_INCLUDEDIR}
    PATHS ${CMAKE_INSTALL_PREFIX}/include
          /usr/local/include
          /usr/include
)

FIND_LIBRARY(
    GOESSDR_LIBRARIES
    NAMES gnuradio-goessdr
    HINTS $ENV{GOESSDR_DIR}/lib
        ${PC_GOESSDR_LIBDIR}
    PATHS ${CMAKE_INSTALL_PREFIX}/lib
          ${CMAKE_INSTALL_PREFIX}/lib64
          /usr/local/lib
          /usr/local/lib64
          /usr/lib
          /usr/lib64
)

INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(GOESSDR DEFAULT_MSG GOESSDR_LIBRARIES GOESSDR_INCLUDE_DIRS)
MARK_AS_ADVANCED(GOESSDR_LIBRARIES GOESSDR_INCLUDE_DIRS)

